> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post referencecatalogv1 items

> Creates, updates or marked 'deleted' a list of values of a reference catalog in the domain.



## OpenAPI

````yaml /openapis/referenceCatalog.json post /referenceCatalog/v1/{catalogId}/items
openapi: 3.0.1
info:
  description: >-
    The AODocs REST API exposes most of the features of AODocs. It can be used
    to implement custom applications, third-party integration, bulk tools, or
                                            just to experiment with AODocs.
  version: '69.4'
  title: AODocs REST API
servers:
  - url: https://aodocs.altirnao.com/api
security: []
tags:
  - name: referenceCatalog
    description: Lets you manage reference catalogs
paths:
  /referenceCatalog/v1/{catalogId}/items:
    post:
      tags:
        - referenceCatalog
      description: >-
        Creates, updates or marked 'deleted' a list of values of a reference
        catalog in the domain.
      operationId: referenceCatalog:v1.ReferenceCatalog.saveReferenceCatalogValues
      parameters:
        - $ref: '#/components/parameters/catalogId_path_parameter'
        - $ref: '#/components/parameters/securityCode_query_parameter'
        - $ref: '#/components/parameters/domain_query_parameter'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiReferenceCatalogValueList'
        required: true
      responses:
        '200':
          description: A ApiReferenceCatalogValueList response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiReferenceCatalogValueList'
      security:
        - google_id_token-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
        - google_id_token_legacy-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
components:
  parameters:
    catalogId_path_parameter:
      name: catalogId
      in: path
      description: The ID of the reference catalog
      required: true
      schema:
        type: string
    securityCode_query_parameter:
      name: securityCode
      in: query
      description: The security code
      required: false
      schema:
        type: string
    domain_query_parameter:
      name: domain
      in: query
      description: The G Suite domain
      required: false
      schema:
        type: string
  schemas:
    ApiReferenceCatalogValueList:
      type: object
      properties:
        kind:
          type: string
        referenceCatalogValues:
          type: array
          description: The list of reference catalog values
          items:
            $ref: '#/components/schemas/ApiReferenceCatalogValue'
    ApiReferenceCatalogValue:
      type: object
      properties:
        createdAt:
          type: integer
          format: int64
          description: >-
            The timestamp (in ms) at which the catalog value was created
            (read-only field)
        deleted:
          type: boolean
          description: Whether the catalog value should be marked as deleted
        id:
          type: string
          description: The ID of the reference catalog value
        kind:
          type: string
        lastModifiedAt:
          type: integer
          format: int64
          description: >-
            The timestamp (in ms) at which the catalog value was last modified
            (read-only field)
        leaf:
          type: boolean
          description: Whether the value has children values (read-only field)
        level:
          type: integer
          format: int32
          description: >-
            The level of the reference catalog value in the hieararchical
            structure. Level 0 is the first level that has no ancestors
            (read-only field)
        name:
          type: string
          description: The name of the reference catalog value
        parent:
          type: string
          description: The id of the parent of the reference catalog value
        parentIds:
          type: array
          description: >-
            The id's of the ancestors of the reference catalog value (read-only
            field)
          items:
            type: string
        rank:
          type: integer
          format: int32
          description: >-
            Rank of the reference catalog value used for sorting, accepting
            positive integers only
        referenceCatalogId:
          type: string
          description: The ID of the reference catalog (read-only field)
  securitySchemes:
    google_id_token-a99f12e0:
      type: oauth2
      x-google-issuer: https://accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address
    google_id_token_legacy-a99f12e0:
      type: oauth2
      x-google-issuer: accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address

````